cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
1599
Views
0
Helpful
9
Replies

Upgrade to CSPC 2.8 stuck on "Apply-in-progress"

steelmanb
Beginner
Beginner

My CSPC is running version 2.7.4.3.  I attempted to run the upgrade to 2.8 from the Software Updates page.  Status is now stuck on "Apply-in-progess".  Rebooting the appliance did not help.  How can I clear/cancel/stop this current upgrade so that I can then run the upgrade from the CLI?

9 Replies 9

taywelch
Cisco Employee
Cisco Employee

Hello, 

 

Do you have access to the admin CLI account? 

 

Thanks, 

 

Taylor

Hi, yes I have full root access to the virtual appliance.

Hi, I did that already, but it did't actually do anything. Still running on 2.7.4.3. Here is the end of the 'apply' log file. Can we get the server out of the "Apply-in-progress" status?

[collectorlogin@cmmql0093 ~]$ tail -f /opt/LCM/logs/apply
[Mon Oct 29 16:17:35 CDT 2018] --Component--LCM--LCM |Component |JeOS |1.8 |LCM component |1540491340--jeos-30.1.0-0-lnx64--
[Mon Oct 29 16:17:35 CDT 2018] else block of status update
[Mon Oct 29 16:17:35 CDT 2018] update version--1.8---LCM---Component-------
[Mon Oct 29 16:17:36 CDT 2018] --Component--Hardened CentOS--Hardened CentOS |Component |JeOS |6.10 patch#0 |Hardened CentOS |1540491341--jeos-30.1.0-0-lnx64--
[Mon Oct 29 16:17:36 CDT 2018] else block of status update
[Mon Oct 29 16:17:36 CDT 2018] update version--6.10 patch#0---Hardened CentOS---Component-------
[Mon Oct 29 16:17:37 CDT 2018] --JeOS--JeOS--JeOS |JeOS | |jeos-30.1.0-0-lnx64 |Appliance Base Package patch update |1540491342--jeos-30.1.0-0-lnx64--
[Mon Oct 29 16:17:37 CDT 2018] else block of status update
[Mon Oct 29 16:17:37 CDT 2018] update version--jeos-30.1.0-0-lnx64---JeOS---JeOS-------
[Mon Oct 29 16:17:37 CDT 2018] status db updation completed

Can you post the output of the following from root?
#cd /opt/LCM/tmp

#ls -alrth

Hi, here is the output.
[root@cmmql0093 ~]# cd /opt/LCM/tmp
[root@cmmql0093 tmp]# ls -alrth
total 1.8G
drwxr-xr-x. 9 casuser casusers 4.0K Oct 25 11:19 ..
-rw-r--r--. 1 casuser casusers 1.6G Oct 25 12:50 sp-30.1.0-0-0-lnx64-package.zip
-rw-r--r--. 1 root root 161M Oct 26 12:27 sp-30.0.4-3-0-lnx64-package.zip
drwxr-xr-x. 2 casuser casusers 4.0K Oct 26 12:38 .
[root@cmmql0093 tmp]#

From /opt/LCM/tmp run the following commands in order.

#Unzip sp-30.1.0-0-0-lnx64-package.zip

#nohup /opt/LCM/bin/lcmagent-apply.tcl SP /opt/LCM/tmp/ sp-30.1.0-0-0-lnx64.zip &

Hi , 

 

A small correction in command to install the patch - 

 

#/opt/LCM/bin/lcmagent-apply.tcl SP /opt/LCM/tmp/sp-30.1.0-0-0-lnx64.zip &

That worked, thank you. My collector is now on 2.8.
Getting Started

Find answers to your questions by entering keywords or phrases in the Search bar above. New here? Use these resources to familiarize yourself with the community: